#include <bits/stdc++.h>
using namespace std;
#define int long long
#define all(a) a.begin(), a.end()
int ma=0;


signed main() {
    int n,k;cin>>n>>k;
    vector<int> a(n);
    set<pair<int,int>> q;
    for (int i=0;i<n;i++){
        cin>>a[i];
        q.insert({-a[i],-i});
    }
    vector<pair<int,int>> an;
    while (q.size()>n-k){
        an.push_back(*q.begin());
        q.erase(q.begin());
    }
    int ma=0;
    int mi=1000000000000;
    int ind=-1;
    int ans=0;
    for (auto k:an){
        ma=max(ma,abs(k.second));
        if (abs(k.first)<mi){
            mi=min(mi,abs(k.first));
            ind=abs(k.second);
        }
    }
    int cl=n-k-(n-ma-1);
    int z=0;
    int pr=1;
    for (int i=ma+1;i<n;i++){
        if (a[i]+pr>=mi){
            z=max(z,a[i]+pr);
        }
        pr++;
    }
    if (z!=0){
        ans+=1+z;
    }
    for (auto k:an){
        if (z==0){
            ans+=abs(k.first)+1;
        }
        else{
            if (abs(k.second)!=ind){
                ans+=abs(k.first)+1;
            }
        }
    }
    cout<<ans+cl;
}
